Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies
Class TweenData

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.movies.TweenData

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TweenData
extends QTByteObject

TweenData is a variable data structure that is used to set tween atom values that are stored in an atom of an AtomContainer with insertChild(... tweenData)

See Also:
  Serialized Form

Field Summary
`static int` | `kFixedPointNativeSize`
`static int` | `kMatrixNativeSize`
`static int` | `kModifierTrackGraphicsModeNativeSize`
`static int` | `kQDPointNativeSize`
`static int` | `kQDRectNativeSize`
`static int` | `kQTFloatDoubleNativeSize`
`static int` | `kRGBNativeSize`

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`TweenData(double start, double end)` Allocates a `TweenData` object of type `kTweenTypeQTFloatDouble` from `double` start and end values
`TweenData(float startX, float startY, float endX, float endY)` Allocates a `TweenData` object of type `kTweenTypeFixedPoint` from `float` start and end x and y values
`TweenData(int tweenType, float start, float end)` Allocates a `TweenData` object of type `kTweenTypeFixed` or `kTweenTypeQTFloatSingle` from `float` start and end values
`TweenData(int start, int end)` Allocates a `TweenData` object of type `kTweenTypeLong` from `int` start and end values
`TweenData(Matrix start, Matrix end)` Allocates a `TweenData` object of type `kTweenTypeMatrix` from `Matrix` start and end values
`TweenData(QDColor start, QDColor end)` Allocates a `TweenData` object of type `kTweenTypeRGBColor` from `QDColor` start and end values
`TweenData(QDColor start, QDColor end, int graphicsMode)` Allocates a `TweenData` object of type `kTweenTypeGraphicsModeWithRGBColor` from `QDColor` start and end values and a graphics mode Only the QDColor fields are interpolated.
`TweenData(QDPoint start, QDPoint end)` Allocates a `TweenData` object of type `kTweenTypePoint` from `QDPoint` start and end values
`TweenData(QDRect start, QDRect end)` Allocates a `TweenData` object of type `kTweenTypeQDRect` from `QDRect` start and end values
`TweenData(short start, short end)` Allocates a `TweenData` object of type `kTweenTypeShort` from `short` start and end values

Method Summary
`int` | `getType()` The kTweenType type

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kQDPointNativeSize

    public static final int kQDPointNativeSize

### kQDRectNativeSize

    public static final int kQDRectNativeSize

### kRGBNativeSize

    public static final int kRGBNativeSize

### kModifierTrackGraphicsModeNativeSize

    public static final int kModifierTrackGraphicsModeNativeSize

### kMatrixNativeSize

    public static final int kMatrixNativeSize

### kFixedPointNativeSize

    public static final int kFixedPointNativeSize

### kQTFloatDoubleNativeSize

    public static final int kQTFloatDoubleNativeSize

Constructor Detail

### TweenData

    public TweenData(short start,
                     short end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeShort` from `short` start and end values
  Parameters:
    `start` - The interpolation start value
    `end` - The interpolation end value

### TweenData

    public TweenData(int start,
                     int end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeLong` from `int` start and end values
  Parameters:
    `start` - The interpolation start value
    `end` - The interpolation end value

### TweenData

    public TweenData(int tweenType,
                     float start,
                     float end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeFixed` or `kTweenTypeQTFloatSingle` from `float` start and end values
  Parameters:
    `tweenType` - kTweenTypeFixed or kTweenTypeQTFloatSingle
    `start` - The interpolation start value
    `end` - The interpolation end value

### TweenData

    public TweenData(double start,
                     double end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeQTFloatDouble` from `double` start and end values
  Parameters:
    `start` - The interpolation start value
    `end` - The interpolation end value

### TweenData

    public TweenData(QDPoint start,
                     QDPoint end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypePoint` from `QDPoint` start and end values
  Parameters:
    `start` - The interpolation start Point
    `end` - The interpolation end Point

### TweenData

    public TweenData(QDRect start,
                     QDRect end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeQDRect` from `QDRect` start and end values
  Parameters:
    `start` - The interpolation start Rect
    `end` - The interpolation end Rect

### TweenData

    public TweenData(Matrix start,
                     Matrix end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeMatrix` from `Matrix` start and end values
  Parameters:
    `start` - The interpolation start matrix
    `end` - The interpolation end matrix

### TweenData

    public TweenData(QDColor start,
                     QDColor end)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeRGBColor` from `QDColor` start and end values
  Parameters:
    `start` - The interpolation start color
    `end` - The interpolation end color

### TweenData

    public TweenData(QDColor start,
                     QDColor end,
                     int graphicsMode)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeGraphicsModeWithRGBColor` from `QDColor` start and end values and a graphics mode Only the QDColor fields are interpolated.
  Parameters:
    `start` - The interpolation start matrix
    `end` - The interpolation end matrix
    `graphicsMode` - The graphic mode

### TweenData

    public TweenData(float startX,
                     float startY,
                     float endX,
                     float endY)
              throws QTException

  Allocates a `TweenData` object of type `kTweenTypeFixedPoint` from `float` start and end x and y values
  Parameters:
    `startX` - The interpolation start x value
    `startY` - The interpolation start y value
    `endX` - The interpolation end x value
    `endY` - The interpolation end y value

Method Detail

### getType

    public int getType()

  The kTweenType type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD